
Ruby - Bug #5529

Bus error with Fibers on OSX Lion

11/01/2011 01:24 AM - pragdave (Dave Thomas)

Status: Rejected   

Priority: Normal   

Assignee: mrkn (Kenta Murata)   

Target version: 1.9.3   

ruby -v: ruby 1.9.3p0 (2011-10-30 revision

33570) [x86_64-darwin11.2.0]

Backport:  

Description

=begin

The attached program crashes with the following trace:

dave[ruby3/Book 11:18:39] ruby /tmp/prog.rb

cat

dog

/tmp/prog.rb:2: [BUG] Bus Error

ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-darwin11.2.0]

-- Control frame information -----------------------------------------------

c:0003 p:0015 s:0005 b:0005 l:002508 d:000004 BLOCK  /tmp/prog.rb:2

c:0002 p:---- s:0003 b:0003 l:000002 d:000002 FINISH

c:0001 p:---- s:0001 b:-001 l:000000 d:000000 ------

-- Ruby level backtrace information ----------------------------------------

/tmp/prog.rb:2:in `block in '

-- C level backtrace information -------------------------------------------

See Crash Report log file under ~/Library/Logs/CrashReporter or

/Library/Logs/CrashReporter, for the more detail of.

-- Other runtime information -----------------------------------------------

Loaded script: /tmp/prog.rb

Loaded features:

0 enumerator.so

1 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1/x86_64-darwin11.2.0/enc/encdb.bundle

2 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1/x86_64-darwin11.2.0/enc/trans/transdb.bundle

3 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/defaults.rb

4 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1/x86_64-darwin11.2.0/rbconfig.rb

5 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/deprecate.rb

6 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/exceptions.rb

7 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb

8 /Users/dave/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/site_ruby/1.9.1/rubygems.rb

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

=end

History

#1 - 11/01/2011 01:31 AM - pragdave (Dave Thomas)

- Target version set to 1.9.3
#2 - 11/01/2011 09:29 AM - mrkn (Kenta Murata)

=begin

Hi Dave,

I cannot reproduce the bus error.

[09:25:17#3]mrkn$ ruby -v ~/Downloads/prog.rb

ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-darwin11.2.0]

cat

dog

cat

dog

Please tell us your compile options and your compiler version.

=end

#3 - 11/01/2011 09:45 AM - mrkn (Kenta Murata)

- Category set to core

- Assignee set to mrkn (Kenta Murata)

#4 - 11/01/2011 01:18 PM - pragdave (Dave Thomas)

- File ruby-1.9.3-p0.tgz added

I've attached the rvm logs from the installation

#5 - 11/01/2011 01:26 PM - pragdave (Dave Thomas)

Dave Thomas wrote:

I've attached the rvm logs from the installation

 Also, looking at your output—why is it writing cat/dog/cat/dog? Shouldn't it just be one 'cat' and one 'dog'?

Dave

#6 - 11/01/2011 01:37 PM - mrkn (Kenta Murata)

Dave Thomas wrote:

Also, looking at your output—why is it writing cat/dog/cat/dog? Shouldn't it just be one 'cat' and one 'dog'?

 Last two lines of output are the result of "puts ['cat', 'dog']", this array is the return value of the fiber block.

#7 - 11/01/2011 11:11 PM - pragdave (Dave Thomas)

Kenta Murata wrote:

Dave Thomas wrote:

Also, looking at your output—why is it writing cat/dog/cat/dog? Shouldn't it just be one 'cat' and one 'dog'?

 Last two lines of output are the result of "puts ['cat', 'dog']", this array is the return value of the fiber block.

 Of course. Sorry...

I have more information. I removed rvm totally from this machine and reinstalled both 1.9.2 and 1.9.3. Both versions now show this problem

(previously 1.9.2 worked). These are the first interpreters I have installed since upgrading this machine to Lion.

So I tried it on my laptop, also running Lion. Both 1.9.2 and 1.9.3 work there.

This appears to be a local configuration issue on my machine.

Sorry for the false alarm.

#8 - 11/02/2011 01:23 AM - telemachus (Peter Aronoff)

On Tue Nov 01 2011 @ 11:11, Dave Thomas wrote:
I have more information. I removed rvm totally from this machine and

reinstalled both 1.9.2 and 1.9.3. Both versions now show this problem

(previously 1.9.2 worked). These are the first interpreters I have

installed since upgrading this machine to Lion.

So I tried it on my laptop, also running Lion. Both 1.9.2 and 1.9.3 work

there.

This appears to be a local configuration issue on my machine.

Sorry for the false alarm.

 This may or may not be relevant, but the newest versions of Xcode (4.2

and/or 4.2.1) don't seem to install gcc-4.2 at all (only the llvm-gcc). It

may be that you're seeing problems due to the compiler being different on

the two machines?

See this issue for related discussion:

https://github.com/sstephenson/ruby-build/issues/62

--

[D]igital information lasts forever--or five years, whichever comes first.

"Ensuring the Longevity of Digital Information", Jeff Rothenberg

#9 - 01/10/2012 11:07 AM - mrkn (Kenta Murata)

- Status changed from Open to Rejected

Files

prog.rb 129 Bytes 11/01/2011 pragdave (Dave Thomas)

ruby-1.9.3-p0.tgz 19.3 KB 11/01/2011 pragdave (Dave Thomas)
